Download it now!
Bug 49141 - Make the whole Start Center window a drag-and-drop destination
Summary: Make the whole Start Center window a drag-and-drop destination
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2012-04-25 05:36 UTC by Don't use this account, use tml@iki.fi
Modified: 2015-12-15 12:15 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Don't use this account, use tml@iki.fi 2012-04-25 05:36:12 UTC
Currently (at least on Windows) you can't drop dragged documents onto the doument type buttons in the Start Center, including their labels and a fairly large surrounding area.

This is not really that useful in my opinion. It wouldn't be that confusing even if one could drop (for instance) a spreadsheet onto (for instance) the Text Document button, and still (naturally) the document would open as a Spreadsheet, in a Calc window.

So the hack is to find the place where the accepted drop area is defined and make it cover all of the Start Center. Possibly this means one has to activate also the buttons for dropping, and then have them just pass on drops to the Start Center background, or something.
Comment 1 Florian Reisinger 2012-05-18 08:20:47 UTC
Removed EASYHACK from summary
Comment 2 bfoman (inactive) 2012-10-12 17:41:08 UTC
Enhancement request.
Comment 3 Roman Eisele 2012-10-13 09:04:16 UTC
Confirmed. Tor‘s observations are still true in LibO 3.6.3.1, tested on Mac OS X. Therefore a valid and very reasonable enhancement request.
Comment 4 Philipp Weissenbacher 2015-11-03 12:31:06 UTC
Can't test on OS X, but on Windows the new start center fixed this.

So marking RESOLVED.
Comment 5 Timur 2015-11-03 13:19:57 UTC
If a specific commit/fix is not known, then it's not Fixed, but WorksForMe.
Comment 6 Robinson Tryon (qubit) 2015-12-15 12:15:03 UTC
Migrating Whiteboard tags to Keywords: (DifficultyInteresting SkillCpp TopicUI)
[NinjaEdit]